LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Can't instal Nvidia drivers after kernel 3.7.1 upgrade (http://www.linuxquestions.org/questions/slackware-14/cant-instal-nvidia-drivers-after-kernel-3-7-1-upgrade-4175442683/)

Olek 12-23-2012 11:47 AM

Can't instal Nvidia drivers after kernel 3.7.1 upgrade
 
After upgrade to slackware-current kernel 3.7.1 i can't install Nvidia driver 304.64.
I created symbolic link
ln -s /usr/src/linux/include/generated/uapi/linux/version.h /usr/src/linux/include/linux/version.h

Wher i run NVIDIA-Linux-x86-304.64.run hi talks - "if you have 2.4 kernel bla bla bla..."

Is any way to install Nvidia driver with new kernel?

fogpipe 12-23-2012 11:52 AM

Download the 3.10 drivers they install fine.
I had the same problem myself.

NetrixTardis 12-23-2012 12:28 PM

Yes, use the 310.19 release on slackbuils.org. Unless you run an older video card which is not supported by the 310 series. if so let us know. i had to do this. requires patching the the last 304 series driver.

Olek 12-23-2012 02:34 PM

My video card is
02:00.0 VGA compatible controller: nVidia Corporation G73 [GeForce 7300 GT] (rev a1)

By Nvidia.com only 304 series drivers are siutable for my card.
Do you think 310 driver is good for my card?

mlangdn 12-23-2012 02:45 PM

Your card is supported by the 310x driver.

Bazzaah 12-23-2012 02:49 PM

I have 310.19 with kernel 3.7.1 and the drivers work just fine, as others have said.

It's nice that someone's made a SlackBuild, but I always use the nvidia installer - it's quick and easy - are there any differences worth noting?

TobiSGD 12-23-2012 03:12 PM

Quote:

Originally Posted by mlangdn (Post 4855630)
Your card is supported by the 310x driver.

No, it isn't. The 310.x driver only support cards from the Geforce 8xxx series and newer. For the Geforce 7300GT you have to use the 304.x driver.

mlangdn 12-23-2012 03:21 PM

You are correct - I must have looked at the wrong thing. Bad advice is worse than no advice. Sorry.

willysr 12-23-2012 06:39 PM

Quote:

Originally Posted by Olek (Post 4855540)
After upgrade to slackware-current kernel 3.7.1 i can't install Nvidia driver 304.64.
I created symbolic link
ln -s /usr/src/linux/include/generated/uapi/linux/version.h /usr/src/linux/include/linux/version.h

Wher i run NVIDIA-Linux-x86-304.64.run hi talks - "if you have 2.4 kernel bla bla bla..."

Is any way to install Nvidia driver with new kernel?

See my Blog post for the solution for 304.64

Olek 12-25-2012 05:35 PM

Thanks willysr. Patch works quite good.

andrew.46 12-25-2012 06:44 PM

Hmmmm.... I had a hard freeze every now and then with the 310 and 313 drivers with the old kernel although graphics were markedly improved. Anybody else experience this? Using a GTS 450...

I suspect I will take the plunge and see if new kernel + 313 drivers keep my unfrozen.


All times are GMT -5. The time now is 05:11 PM.